summaryrefslogtreecommitdiff
path: root/utils/filtron.sh
diff options
context:
space:
mode:
authorMarkus Heiser <markus.heiser@darmarit.de>2020-02-04 17:59:58 +0100
committerMarkus Heiser <markus.heiser@darmarit.de>2020-02-04 17:59:58 +0100
commit2f40f61f83afb34f0c4b95019a53050a504ce43a (patch)
tree98d8f8f0f6110fef0f494aef98d78aedeac31b8f /utils/filtron.sh
parentd07119ca490eb01b5b4506fb02433a59deb0ac19 (diff)
downloadsearxng-2f40f61f83afb34f0c4b95019a53050a504ce43a.tar.gz
searxng-2f40f61f83afb34f0c4b95019a53050a504ce43a.zip
/etc/filtron/rules.json: normalize rules from docs & tooling box
Signed-off-by: Markus Heiser <markus.heiser@darmarit.de>
Diffstat (limited to 'utils/filtron.sh')
-rwxr-xr-xutils/filtron.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/utils/filtron.sh b/utils/filtron.sh
index 3c545ff14..c1e360067 100755
--- a/utils/filtron.sh
+++ b/utils/filtron.sh
@@ -94,8 +94,9 @@ If needed, set PUBLIC_URL of your WEB service in the '${DOT_CONFIG#"$REPO_ROOT/"
FILTRON_API : ${FILTRON_API}
FILTRON_LISTEN : ${FILTRON_LISTEN}
FILTRON_TARGET : ${FILTRON_TARGET}
+
EOF
- [ ! -z ${1+x} ] && echo -e "$1"
+ [ ! -z ${1+x} ] && err_msg "$1"
}
main() {
@@ -105,7 +106,7 @@ main() {
dpkg apt-get install git wget curl \
|| exit
- local _usage="ERROR: unknown or missing $1 command $2"
+ local _usage="unknown or missing $1 command $2"
case $1 in
--source-only) ;;
@@ -170,7 +171,7 @@ main() {
*) usage "$_usage"; exit 42;;
esac ;;
- *) usage "ERROR: unknown or missing command $1"; exit 42;;
+ *) usage "unknown or missing command $1"; exit 42;;
esac
}